#! /usr/bin/env node

const gulp = require('./gulpfile.js');
const pkg = require('./package.json');

const { argv } = require('yargs')
  .command(['dev'], 'Build on save', () => {}, () => {
    gulp.dev();
  })
  .command(['*'], 'Build on save', () => {}, (arg) => {
    if (arg.v) {
      console.log(pkg.version);
    } else {
      gulp.build(arg);
    }
  });
